logo
Loading...

ML100-2-D66 : 沒有 GPU, 安裝完成後, 出現動態連結程式庫 (DLL) 初始化例行程序失敗. - Cupoy

我沒有 GPU , 在 WIN10 安裝好 Tensorflow 及 Keras 後, 出現出現 D...

ml100-2,ml100-2-d66

ML100-2-D66 : 沒有 GPU, 安裝完成後, 出現動態連結程式庫 (DLL) 初始化例行程序失敗.

2019/08/10 03:46 下午
機器學習共學討論版
WenChun Huang
觀看數:68
回答數:1
收藏數:0
ml100-2
ml100-2-d66

我沒有 GPU , 在 WIN10 安裝好 Tensorflow 及 Keras 後, 出現出現 DLL 初始化例行程序失敗, 我裝了TF 1.14.0 及1.13.1 的版本都有同樣的問題, 請問要如何解決?


import tensorflow as tf

--------------------------------------------------------------------------- ImportError                               Traceback (most recent call last) ~\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>      57 ---> 58 from tensorflow.python.pywrap_tensorflow_internal import *      59 from tensorflow.python.pywrap_tensorflow_internal import __version__  ~\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in <module>      27 return _mod ---> 28 _pywrap_tensorflow_internal = swig_import_helper()      29 del swig_import_helper  ~\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()      23 try: ---> 24 _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)      25 finally: ~\Anaconda3\lib\imp.py in load_module(name, file, filename, details)     241 else: --> 242 return load_dynamic(name, filename, file)     243 elif type_ == PKG_DIRECTORY: ~\Anaconda3\lib\imp.py in load_dynamic(name, path, file)     341             name=name, loader=loader, origin=path) --> 342 return _load(spec)     343 ImportError: DLL load failed: 動態連結程式庫 (DLL) 初始化例行程序失敗。  During handling of the above exception, another exception occurred:  ImportError                               Traceback (most recent call last) <ipython-input-4-64156d691fe5> in <module> ----> 1 import tensorflow as tf  ~\Anaconda3\lib\site-packages\tensorflow\__init__.py in <module>      22      23 # pylint: disable=g-bad-import-order ---> 24 from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import      25      26 from tensorflow._api.v1 import app  ~\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in <module>      47 import numpy as np      48 ---> 49 from tensorflow.python import pywrap_tensorflow      50      51 # Protocol buffers ~\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>      72 for some common reasons and solutions.  Include the entire stack trace      73 above this error message when asking for help.""" % traceback.format_exc() ---> 74 raise ImportError(msg)      75      76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-long ImportError: Traceback (most recent call last):   File "C:\Users\wench\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>     from tensorflow.python.pywrap_tensorflow_internal import *   File "C:\Users\wench\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>     _pywrap_tensorflow_internal = swig_import_helper()   File "C:\Users\wench\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper     _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)   File "C:\Users\wench\Anaconda3\lib\imp.py", line 242, in load_module     return load_dynamic(name, filename, file)   File "C:\Users\wench\Anaconda3\lib\imp.py", line 342, in load_dynamic     return _load(spec) ImportError: DLL load failed: 動態連結程式庫 (DLL) 初始化例行程序失敗。   Failed to load the native TensorFlow runtime.  See https://www.tensorflow.org/install/errors  for some common reasons and solutions.  Include the entire stack trace above this error message when asking for help.